-- Customer specific once-script YASK##26742.
--
-- (c) 2013 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xyask26742.lst
SET DEFINE OFF

-- 21=MSFT/Locatie, 21=Microsoft/District, 21=Microsof/Regio en 581=MS/Bedrijf
--DELETE FROM   mld_opdr
--      WHERE   mld_melding_key IN (SELECT   mld_melding_key
--                                    FROM   mld_melding
--                                   WHERE   mld_alg_locatie_key = 21);

--DELETE FROM   mld_kenmerkmelding
--      WHERE   mld_melding_key IN (SELECT   mld_melding_key
--                                    FROM   mld_melding
--                                   WHERE   mld_alg_locatie_key = 21);

--DELETE FROM   mld_melding
--      WHERE   mld_alg_locatie_key = 21;

UPDATE   prs_perslidwerkplek pw
   SET   pw.prs_perslidwerkplek_verwijder = SYSDATE
 WHERE   pw.prs_perslidwerkplek_verwijder IS NULL
         AND EXISTS
               (SELECT   1
                  FROM   prs_werkplek wp, alg_v_allonroerendgoed aog
                 WHERE       wp.prs_werkplek_key = pw.prs_werkplek_key
                         AND wp.prs_alg_ruimte_key = aog.alg_ruimte_key
                         AND aog.alg_locatie_key = 21);

UPDATE   prs_perslid
   SET   prs_perslid_verwijder = SYSDATE
 WHERE   prs_perslid_verwijder IS NULL
         AND prs_afdeling_key IN (SELECT   prs_afdeling_key
                                    FROM   prs_afdeling
                                   WHERE   prs_bedrijf_key = 581);

UPDATE   prs_afdeling
   SET   prs_afdeling_verwijder = SYSDATE
 WHERE   prs_afdeling_verwijder IS NULL AND prs_bedrijf_key = 581;

UPDATE   prs_bedrijf
   SET   prs_bedrijf_verwijder = SYSDATE
 WHERE   prs_bedrijf_verwijder IS NULL AND prs_bedrijf_key = 581;

UPDATE   prs_werkplek wp
   SET   wp.prs_werkplek_verwijder = SYSDATE
 WHERE   wp.prs_werkplek_verwijder IS NULL
         AND EXISTS
               (SELECT   1
                  FROM   alg_v_allonroerendgoed aog
                 WHERE   aog.alg_ruimte_key = wp.prs_alg_ruimte_key
                         AND aog.alg_locatie_key = 21);

UPDATE   alg_ruimte r
   SET   r.alg_ruimte_verwijder = SYSDATE
 WHERE   r.alg_ruimte_verwijder IS NULL
         AND EXISTS
               (SELECT   1
                  FROM   alg_v_allonroerendgoed aog
                 WHERE   aog.alg_ruimte_key = r.alg_ruimte_key
                         AND aog.alg_locatie_key = 21);

UPDATE   alg_verdieping v
   SET   v.alg_verdieping_verwijder = SYSDATE
 WHERE   v.alg_verdieping_verwijder IS NULL
         AND EXISTS
               (SELECT   1
                  FROM   alg_v_allonroerendgoed aog
                 WHERE   aog.alg_verdieping_key = v.alg_verdieping_key
                         AND aog.alg_locatie_key = 21);

UPDATE   alg_gebouw g
   SET   g.alg_gebouw_verwijder = SYSDATE
 WHERE   g.alg_gebouw_verwijder IS NULL
         AND EXISTS
               (SELECT   1
                  FROM   alg_v_allonroerendgoed aog
                 WHERE   aog.alg_gebouw_key = g.alg_gebouw_key
                         AND aog.alg_locatie_key = 21);

UPDATE   alg_locatie
   SET   alg_locatie_verwijder = SYSDATE
 WHERE   alg_locatie_verwijder IS NULL AND alg_locatie_key = 21;

UPDATE   alg_district
   SET   alg_district_verwijder = SYSDATE
 WHERE   alg_district_verwijder IS NULL AND alg_district_key = 21;

UPDATE   alg_regio
   SET   alg_regio_verwijder = SYSDATE
 WHERE   alg_regio_verwijder IS NULL AND alg_regio_key = 21;

BEGIN adm.systrackscript('$Workfile: YASK#26742.sql $', '$Revision$', 1); END;
/
SPOOL OFF
